Get menus
const url = 'https://example.kwickbooking.com/public/v1/menus';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.kwickbooking.com/public/v1/menus \ --header 'Authorization: Bearer <token>'Returns the venue’s food and drinks menus by section, with prices, as published in its knowledge base. A menu the venue hasn’t published is null.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”OK
GET /public/v1/menus: food and drinks menus from the knowledge base.
object
Example
{ "venueId": "01920000-0000-7000-8000-000000000001", "source": "knowledge-base", "food": { "foodMenu": { "Small plates": [ { "id": 1, "name": "Padrón peppers", "description": "Sea salt", "price": "6.50" } ] } }, "drinks": null, "summary": "Food: 1 section, 1 item."}Venue required (https://developers.kwickblocks.ai/problems/venue-required)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Venue required
{ "type": "https://developers.kwickblocks.ai/problems/venue-required", "title": "Venue required", "status": 400, "detail": "Please say which venue this is for."}Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Invalid or missing integration key
{ "type": "https://developers.kwickblocks.ai/problems/invalid-key", "title": "Invalid or missing integration key", "status": 401, "detail": "This integration key isn't valid. Ask the venue's admin for a new one."}Capability not granted (https://developers.kwickblocks.ai/problems/capability-missing)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Capability not granted
{ "type": "https://developers.kwickblocks.ai/problems/capability-missing", "title": "Capability not granted", "status": 403, "detail": "This integration key isn't allowed to do that. Ask the venue's admin to add the capability."}Venue not found (https://developers.kwickblocks.ai/problems/venue-not-found); Not published (https://developers.kwickblocks.ai/problems/knowledge-not-found)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Venue not found
{ "type": "https://developers.kwickblocks.ai/problems/venue-not-found", "title": "Venue not found", "status": 404, "detail": "I couldn't find that venue."}Not published
{ "type": "https://developers.kwickblocks.ai/problems/knowledge-not-found", "title": "Not published", "status": 404, "detail": "The venue hasn't published that information yet."}Too many requests (https://developers.kwickblocks.ai/problems/rate-limited)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Too many requests
{ "type": "https://developers.kwickblocks.ai/problems/rate-limited", "title": "Too many requests", "status": 429, "detail": "There have been too many requests. Please try again in a minute."}Temporarily unavailable (https://developers.kwickblocks.ai/problems/service-unavailable)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Temporarily unavailable
{ "type": "https://developers.kwickblocks.ai/problems/service-unavailable", "title": "Temporarily unavailable", "status": 503, "detail": "That information isn't available right now. Please try again shortly."}